nislog(1M)

NAME
nislog - display the contents of the NIS+ transaction log

SYNOPSIS
/usr/sbin/nislog [ -h num | -t num ] [ -v ] [ directory... ]

DESCRIPTION

nislog displays the contents of the NIS+ server transaction log on the standard output. This command can be used to track changes in the namespace. The /var/nis/trans.log file contains the transaction log maintained by the NIS+ server. When updates occur, they are logged to this file and then propagated to replicas as log transactions. When the log is checkpointed, updates that have been propagated to the replicas are removed.

The nislog command can only be run on an NIS+ server by superuser. It displays the log entries for that server only.

If directory is not specified, the entire log is searched. Otherwise, only those logs entries that correspond to the specified directories are displayed.

OPTIONS

-h num
    Display num transactions from the ``head'' of the log. If the numeric parameter is 0, only the log header is displayed.

-t num
    Display num transactions from the ``tail'' of the log. If the numeric parameter is 0, only the log header is displayed.

-v  Verbose mode.

FILES
/var/nis/trans.log
    transaction log

ATTRIBUTES
See attributes(5) for descriptions of the following attributes:

ATTRIBUTE TYPE | ATTRIBUTE VALUE
Availability | SUNWnisu

SEE ALSO
nis+(1), rpc.nisd(1M), nisfiles(4), attributes(5)